Subject: MS platform SDK, services, telnetd, sshd
From: [email-masked] (Patrick J. Fay)

3 Feb 1998 23:05:38 -0800
Message-ID: <[email-masked]>
Reply-To: "Patrick J. Fay" <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]

Hello 
Sorry for the general subject heading. This email touches on all of
the topics however.
The new MS_SDK http://www.microsoft.com/msdn/sdk/platform.htm
has a mind-numbing amount of stuff in it.
Some of the useful tools includes 
  tlist.exe - text mode task list (all tasks, not just gnuwin stuff).
  kill.exe - kill NT tasks
  sc.exe - service create, start, delete etc.
  tons of sample applications. (Hey I don't get paid by them but
          it is an awful lot of material.)
Unfortunately, it takes a long time to download and I'm not
exactly sure which parts I downloaded to get the stuff mentioned
in this email.
Probably 'winbase' http://www.microsoft.com/msdn/sdk/winbase.htm
      http://www.microsoft.com/msdn/sdk/ds.htm
      http://www.microsoft.com/msdn/sdk/network.htm
      http://www.microsoft.com/msdn/sdk/sdktools.htm

The list of 'kits' on http://www.microsoft.com/msdn/sdk/platform.htm
is long but note that many of them are repeats. (So the network.htm
link is listed under 'winsock','tapi',sna,rpc,ras etc.).
You will probably need MS VC5.0 to compile alot of this (maybe not).

So what I wanted to do is
 1) start programs running, be able to logoff
    and have the tasks continue, (nohup),
 2) start my sshd daemon at boot time, be able to logoff,logon
    and have sshd (which is like a secure telnetd daemon) keep
    running,
 3) start my dialup connection to the net at boot time and be able
    to keep it running through logons/logoffs. 
I got 1) and 2) going fine and partial success on 3). For 3) I can
start the connection at boot time (yeah yeah, I doing it from home
so I don't have a dedicated line) and the phone/modem/tcp connection
works fine for the first login. After I logoff the first time though
the connection is close.  

I guess the easy way to do these things is with the 'at' command.
But I wanted to do it the hard way.  I modified the MS_SDK sample
'simple service' (/ms_sdk/samples/winbase/winnt/service/*)
to start sshd at boot time, dialup my host at boot time and then
look for jobs to run in the background. Since sshd and the 
communications start at boot time, I can remotely reboot my
home machine from work and be able to log back in once the
reboot finishes. I'm not sure if these programs can be compiled
with gnu-win32. I didn't try; I used MS VC++5.0. I thought
it might be helpful to post this since it provides info on
how to implement applications ported with gnu-win32 such as
sshd and telnetd.

There is a dialer ras application that I hacked,
/ms_sdk/samples/netds/ras/rasberry/* that gets loaded at boot
by 'simple service' and dials my host. It has the feature
to provide the status of the phone connection as well so
I guess I could have 'simple service' monitor the phone line
and redial if the phone disconnects.

Let me know if anybody wants this stuff. I would have to 
clean it up some but I could certainly provide the patches.

Having said all this, if someone knows a better way to
start a dialup connection at boot time and have it persist
when users (my wife) login to the console and logout (from
the console), let me know.
Pat

Patrick Fay, Ph.D., Intel Corp.            email:   [email-masked]
Los Alamos National Lab                    wk:         (505) 665-9141
CTI M.S. B296                              fax:        (505) 667-5921
Los Alamos NM 87545    ASCI-RED http://www.acl.lanl.gov/~pfay/teraflop

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".